# frozen_string_literal: true

require "application_system_test_case"

class CharacterSheetTest < ApplicationSystemTestCase
  test "can roll dice on a character sheet" do
    system_sign_in users(:trevor)

    character = characters(:nardren)
    visit table_character_character_sheet_sections_path(tables(:table), character)

    assert_no_css ".feature-box"
    first(".stat-value").click
    assert_css ".feature-box"

    click_button I18n.t("stats.show.roll")
    assert_text "rolled"
    assert_no_css ".feature-box"
  end
end
